module exc(rst, clk, exc, exc_stage1, exc_done);
   input  rst, clk;
   input  exc;		// exception instruction
   output exc_stage1;
   reg    exc_stage1;
   output exc_done;
   reg	  exc_done;

   // exc: input signal (sync), push stack: PC = M[R6], R6--
   // exc_stage1: read exc addr: wd = M[0x44]
   // exc_done: PC <= wd
   always@(posedge clk or negedge rst)
     begin
       if (~rst)
         begin
         exc_stage1 <= 0;
	 exc_done <= 0;
	 end
       else
	 begin
         exc_stage1 <= exc;
	 exc_done <= exc_stage1;
	 end
     end
endmodule // exc
